### Hierarchy

- Error
  - FilestackError

## Index

### Constructors

- constructor

### Properties

- details
- message
- name
- stack
- type
- Error

## Constructors

### constructor

- new FilestackError(message?: string, details?: any, type?: FilestackErrorType): FilestackError

- - Defined in filestack_error.ts:33

  #### Parameters

  - ##### Optional message: string

  - ##### Optional details: any

  - ##### Optional type: FilestackErrorType

  #### Returns FilestackError

## Properties

### details

details: any

- Defined in filestack_error.ts:32

Error details, ie validation errors

type

  {*}

memberof

  FilestackError

### message

message: string

Inherited from Error.message

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:964

### name

name: string

Inherited from Error.name

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:963

### Optional stack

stack: string

Inherited from Error.stack

Overrides Error.stack

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:965

### type

type: string

- Defined in filestack_error.ts:33

### Static Error

Error: ErrorConstructor

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:974